% PURPOSE: Gaussian Kernel Densities - h:Fxd -
%          to examine modes for vector-variables
%----------------------------------------------------
% USAGE: ksdensity()
%----------------------------------------------------

clear all;       % removes all variables, globals, functions and MEX links
close all;       % deletes all figures whose handles are not hidden
clear functions; % removes all compiled M- and MEX-functions
clc;             % clears the command window and homes the cursor

% =========================================================================

     load RCP_CE499.mat
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%    01-ID
%    02-EDO
%    03-EDO_NAME
%    04-Z88  08-XL88  12-XLREL88
%    05-Z93  09-XL93  13-XLREL93
%    06-Z98  10-XL98  14-XLREL98  16-XCOO_GDA <- Coordenadas del centroide 	
%    07-Z03  11-XL03  15-XLREL03  17-YCOO_GDA <- poligonal c/GeoDa
% =========================================================================
% === Para ejercicio con transformacines varias de : var = var(z) ===
% OJO: Queda escrita la rutina para no-relativizacin y relativizacin...

    wx = [4,5,6,7];     wrkv = 'Zrel = VACpo/mu(VACpo)';            % to work Z
  % wx = [8,9,10,11];   wrkv = 'XL = ln(Z)';              % to work XL
  % wx = [12,13,14,15]; wrkv = 'XLrel = ln(Z)/mu[ln(Z)]'; % to work XLrel

% --- --- --- --- --- --- --- --- ---    
  
% x1(:,1) = data(:,wx(1));  % define raw X[obs, ser] for 1988
% x1(:,2) = data(:,wx(2));  % define raw X[obs, ser] for 1993
% x1(:,3) = data(:,wx(3));  % define raw X[obs, ser] for 1998
% x1(:,4) = data(:,wx(4));  % define raw X[obs, ser] for 2003
  
  x1(:,1) = data(:,wx(1))./mean(data(:,wx(1)));  % define raw X[obs, ser] for 1988
  x1(:,2) = data(:,wx(2))./mean(data(:,wx(2)));  % define raw X[obs, ser] for 1993
  x1(:,3) = data(:,wx(3))./mean(data(:,wx(3)));  % define raw X[obs, ser] for 1998
  x1(:,4) = data(:,wx(4))./mean(data(:,wx(4)));  % define raw X[obs, ser] for 2003

% A kernel density smoothing parameter option for Zrel...

% Bowman...

  h88 = 0.13555;  % h88 = 0.1373;  
  h93 = 0.13555;  % h93 = 0.1407; 
  h98 = 0.13555;  % h98 = 0.1245;
  h03 = 0.13555;  % h03 = 0.1397;
      
% Botev

%  h88 = 0.068588;
%  h93 = 0.094805;
%  h98 = 0.087779;
%  h03 = 0.095415;

% Sheather...

%  h88 = 0.069418;
%  h93 = 0.090857;
%  h98 = 0.083427;
%  h03 = 0.090418;

  fprintf(1,'\n')
  fprintf(1,'=== F I X E D   GKD   Rnd/Base=== \n')
  fprintf(1,'=== Gaussian Kernel Densities === \n')

  fprintf(1,' ---       Z = VAC / PO       --- \n')
  fprintf(1,' -------- RCP_CE499.mat --------- \n')
  
  title('Gaussian Kernel Densities, h = h(Fixed)')
  
  hold on
    xlabel(wrkv)
    ylabel('f(x)')
  
  [f,x,u] = ksdensity(x1(:,1),'width',h88); fprintf(1,'h = %8.4f \n',u);
  plot(x,f,':r');
  [f,x,u] = ksdensity(x1(:,2),'width',h93); fprintf(1,'h = %8.4f \n',u);
  plot(x,f,'-.b');
  [f,x,u] = ksdensity(x1(:,3),'width',h98); fprintf(1,'h = %8.4f \n',u);
  plot(x,f,'--m');
  [f,x,u] = ksdensity(x1(:,4),'width',h03); fprintf(1,'h = %8.4f \n',u);
  plot(x,f,'-k');

  legend('yr(1988)','yr(1993)','yr(1998)','yr(2003)')

  hold off
 
% --- --- --- --- ---
