% Use moranplotmatrix.m Example E for RCP w/499 obs
% -------------------------------------------------------------------------
% Demonstrates usage of moranplot.m
% -------------------------------------------------------------------------

clear all;       % removes all variables, globals, functions and MEX links
close all;       % deletes all figures whose handles are not hidden
clear functions; % removes all compiled M- and MEX-functions
clc;             % clears the command window and homes the cursor

% =========================================================================
% Descripcin de las bases de datos empleadas ...
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% 1) Contenido de WMRCP_499.mat
     
     load WMRCP_499.mat

%    DMtrx - Distancia entre Capitales, metros    NO estandarizada
%    QO1   - Queen Orden 1 (1,0)                  NO estandarizada
%    DE0   - Q1 c/ Dist Euclidiana (de,0)         NO estandarizada
%    DE1   - Q1 c/ Dist Euclidiana (100/de,0)     NO estandarizada
%    DE2   - Q1 c/ Dist Euclidiana (1,000/de^2,0) NO estandarizada
%    SDE1  - Matriz Simtrica de 1/de (euclidiana)
%            [100,000/de para i <> j ]            NO estandarizada
%    SDE2  - Matriz Simtrica de 1/de^2 (euclidiana)
%            [1000,000,000/de para i <> j ]       NO estandarizada
%    --------------------------------------------------------------
%    *\  de = Distancia Euclidiana entre Centroides de Polgonos
%             Municipales, determinados con GeoDa
%    **\ Archivo documental en : "QO1_from_GeoDa.xls"
%    --------------------------------------------------------------
% 2) Contenido de RCP_CE499.mat

     load RCP_CE499.mat

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%    01-ID
%    02-EDO
%    03-EDO_NAME
%    04-Z88  08-XL88  12-XLREL88
%    05-Z93  09-XL93  13-XLREL93
%    06-Z98  10-XL98  14-XLREL98  16-XCOO_GDA <- Coordenadas del centroide 	
%    07-Z03  11-XL03  15-XLREL03  17-YCOO_GDA <- poligonal c/GeoDa
% =========================================================================
 
  y = data(:,[4 7]); wrkv = 'Z = VAC / PO'; clear data;
                     wrkv1 = '1988'; wrkv2 = '2003';

% w = normw(DMtrx); wrkm = 'DMtrx';
% w = normw(QO1);   wrkm = 'QO1';
% w = normw(DE0);   wrkm = 'DE0';
% w = normw(DE1);   wrkm = 'DE1';
% w = normw(DE2);   wrkm = 'DE2';
  w = normw(SDE1);  wrkm = 'SDE1';
% w = normw(SDE2);  wrkm = 'SDE2';

mp = moranplotmatrix(y,w);

  fprintf(1,'=========================================== \n')

  fprintf(1,'=== Results: mp = moranplotmatrix(y,w); === \n')
  fprintf(1,'--- Obs: 499; WM = %4s; Var: %13s \n',wrkm,wrkv)
  fprintf(1,'--- Start = %4s;                End = %4s \n',wrkv1,wrkv2)

  fprintf(1,'=========================================== \n')


