% PURPOSE: Gaussian Kernel Densities - h:Rnd -
%          to examine modes for vector-variables
%          and TO LOOK FOR Critical Bandwidth
%----------------------------------------------------
% USAGE: ksdensity()
%----------------------------------------------------
 
clear all;       % removes all variables, globals, functions and MEX links
close all;       % deletes all figures whose handles are not hidden
clear functions; % removes all compiled M- and MEX-functions
clc;             % clears the command window and homes the cursor

% =========================================================================

     load RCP_CE499F.mat
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%    01-ID
%    02-EDO
%    03-EDO_NAME
%    04-Z88  08-XL88  12-XLREL88
%    05-Z93  09-XL93  13-XLREL93
%    06-Z98  10-XL98  14-XLREL98  16-XCOO_GDA <- Coordenadas del centroide 	
%    07-Z03  11-XL03  15-XLREL03  17-YCOO_GDA <- poligonal c/GeoDa
% =========================================================================
% === Para ejercicio con transformacines varias de : var = var(z) ===
% OJO: Queda escrita la rutina para no-relativizacin y relativizacin...

  % wx = [4,5,6,7];     wrkv = 'ZFrel = [VAC/PO]f/mu[(VAC/PO)f]'; % to work Z
  % wx = [8,9,10,11];   wrkv = 'XLf = ln(Zf)';               % to work XL
    wx = [12,13,14,15]; wrkv = 'XLFrel = ln(Zf)/mu[ln(Zf)]'; % to work XLrel

% --- --- --- --- --- --- --- --- ---  
  
   x1(:,1) = data(:,wx(1));  % define raw X[obs, ser] for 1988
   x1(:,2) = data(:,wx(2));  % define raw X[obs, ser] for 1993
   x1(:,3) = data(:,wx(3));  % define raw X[obs, ser] for 1998
   x1(:,4) = data(:,wx(4));  % define raw X[obs, ser] for 2003
  
% x1(:,1) = data(:,wx(1))./mean(data(:,wx(1)));  % define raw X[obs, ser] for 1988
% x1(:,2) = data(:,wx(2))./mean(data(:,wx(2)));  % define raw X[obs, ser] for 1993 
% x1(:,3) = data(:,wx(3))./mean(data(:,wx(3)));  % define raw X[obs, ser] for 1998
% x1(:,4) = data(:,wx(4))./mean(data(:,wx(4)));  % define raw X[obs, ser] for 2003
 
  disp(sprintf('Work Variable :   %s,',wrkv));
  disp('      Running :   "Kernel_Rnd_CE.m"');
  disp('============================================');
  fprintf(1,' --- Gaussian Kernel Densities --- \n');
  fprintf(1,' --------  RCP_CE499F.mat  ------- \n')
  disp('--------------------------------------------'); 
  
  title('Gaussian Kernel Densities, h = h(Bowman)')
  
  hold on
    xlabel(wrkv)
    ylabel('f(x)')
  
  [f,x,u] = ksdensity(x1(:,1)); fprintf(1,'     yr 1988:  h = %8.4f \n',u);
  plot(x,f,':r');
  [f,x,u] = ksdensity(x1(:,2)); fprintf(1,'     yr 1993:  h = %8.4f \n',u);
  plot(x,f,'-.b');
  [f,x,u] = ksdensity(x1(:,3)); fprintf(1,'     yr 1998:  h = %8.4f \n',u);
  plot(x,f,'--m');
  [f,x,u] = ksdensity(x1(:,4)); fprintf(1,'     yr 2003:  h = %8.4f \n',u);
  plot(x,f,'-k');
 
  legend('1988','1993','1998','2003')
 
  disp('============================================');
  
  hold off
