% PURPOSE: Kernel Density Estimator
%          by Zdravko Botev
%          21 Feb 2007 (Updated 07 Mar 2010)
%          Code covered by the BSD License
%----------------------------------------------------
% USAGE: kde()        ... documented by JMCA - 101010
%----------------------------------------------------

clear all;       % removes all variables, globals, functions and MEX links
close all;       % deletes all figures whose handles are not hidden
clear functions; % removes all compiled M- and MEX-functions
clc;             % clears the command window and homes the cursor

% =========================================================================

     load RCP_CE499F.mat
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%    01-ID
%    02-EDO
%    03-EDO_NAME
%    04-Z88  08-XL88  12-XLREL88
%    05-Z93  09-XL93  13-XLREL93
%    06-Z98  10-XL98  14-XLREL98  16-XCOO_GDA <- Coordenadas del centroide 	
%    07-Z03  11-XL03  15-XLREL03  17-YCOO_GDA <- poligonal c/GeoDa
% =========================================================================
% === Para ejercicio con transformacines varias de : var = var(z) ===
% OJO: Queda escrita la rutina para no-relativizacin y relativizacin...

  % wx = [4,5,6,7];     wrkv = 'Z = VAC / PO';            % to work Z
  % wx = [8,9,10,11];   wrkv = 'XL = ln(Z)';              % to work XL
    wx = [12,13,14,15]; wrkv = 'XLrel = ln(Z)/mu[ln(Z)]'; % to work XLrel

% --- --- --- --- --- --- --- --- ---
  
  X1 = data(:,wx(1));  % define raw X[obs, ser] for 1988
  X2 = data(:,wx(2));  % define raw X[obs, ser] for 1993
  X3 = data(:,wx(3));  % define raw X[obs, ser] for 1998
  X4 = data(:,wx(4));  % define raw X[obs, ser] for 2003
  
% X1 = data(:,wx(1))./mean(data(:,wx(1)));  % define raw X[obs, ser] for 1988
% X2 = data(:,wx(2))./mean(data(:,wx(2)));  % define raw X[obs, ser] for 1993
% X3 = data(:,wx(3))./mean(data(:,wx(3)));  % define raw X[obs, ser] for 1998
% X4 = data(:,wx(4))./mean(data(:,wx(4)));  % define raw X[obs, ser] for 2003
   
  [dobs CJ] = size(data);

% --- --- --- --- ---

disp('------------------------------------------------------------------');
disp(sprintf(' Gaussian Kernel Densities from %d sample counties observations',dobs));
disp('------------------------------------------------------------------');
% disp('. . . . . . . . . . z = VAC / PO');
% disp('. . . . . . . . . . xln = ln(z(VAC/PO))');
  disp('. . . . . . . . . . xlrel = ln(z)/mu(ln(z))');
% disp('. . . . . . . . . . xc = z(VAC/PO) - mu(z)');
disp('------------------------------------------------------------------');

  title('Gaussian Kernel Densities, h = h(auto)')
  
  hold on
  
% xlabel('x.j (VACB/PO)')
  xlabel('x.j (XLrelF)')
  ylabel('f(x.j)')
  
  [bandwidth,density,xmesh]=kde(X1,2^14,min(X1)-0,max(X1)+0);
  disp(sprintf('h_88 =%f',bandwidth));
  plot(xmesh,density,':r')
  
  [bandwidth,density,xmesh]=kde(X2,2^14,min(X2)-0,max(X2)+0);
  disp(sprintf('h_93 =%f',bandwidth));
  plot(xmesh,density,'-b')
  
  [bandwidth,density,xmesh]=kde(X3,2^14,min(X3)-0,max(X3)+0);
  disp(sprintf('h_98 =%f',bandwidth));
  plot(xmesh,density,'-m')
      
  [bandwidth,density,xmesh]=kde(X4,2^14,min(X4)-0,max(X4)+0);
  disp(sprintf('h_03 =%f',bandwidth));
  plot(xmesh,density,'-k')
  
  legend('1988','1993','1998','2003')
  
  hold off