% PURPOSE: Gaussian Kernel Densities - h:Rnd -
%          to examine modes for vector-variables
%          and TO LOOK FOR Critical Bandwidth
%----------------------------------------------------
% USAGE: ksdensity()
%----------------------------------------------------

clear all;       % removes all variables, globals, functions and MEX links
close all;       % deletes all figures whose handles are not hidden
clear functions; % removes all compiled M- and MEX-functions
clc;             % clears the command window and homes the cursor

% =========================================================================

     load RCP_CE499F.mat
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%    01-ID
%    02-EDO
%    03-EDO_NAME
%    04-Z88  08-XL88  12-XLREL88
%    05-Z93  09-XL93  13-XLREL93
%    06-Z98  10-XL98  14-XLREL98  16-XCOO_GDA <- Coordenadas del centroide 	
%    07-Z03  11-XL03  15-XLREL03  17-YCOO_GDA <- poligonal c/GeoDa
% =========================================================================
% === Para ejercicio con transformacines varias de : var = var(z) ===
% OJO: Queda escrita la rutina para no-relativizacin y relativizacin...

  % wx = [4,5,6,7];     wrkv = 'Zf = ZF(Z)';                 % to work Z
  % wx = [8,9,10,11];   wrkv = 'XLf = ln(Zf)';               % to work XL
    wx = [12,13,14,15]; wrkv = 'XLrelf = ln(Zf)/mu[ln(Zf)]'; % to work XLrel

% --- --- --- --- --- --- --- --- ---    
  
  x1(:,1) = data(:,wx(1));  % define raw X[obs, ser] for 1988
  x1(:,2) = data(:,wx(2));  % define raw X[obs, ser] for 1993
  x1(:,3) = data(:,wx(3));  % define raw X[obs, ser] for 1998
  x1(:,4) = data(:,wx(4));  % define raw X[obs, ser] for 2003
  
% x1(:,1) = data(:,wx(1))./mean(data(:,wx(1)));  % define raw X[obs, ser] for 1988
% x1(:,2) = data(:,wx(2))./mean(data(:,wx(2)));  % define raw X[obs, ser] for 1993
% x1(:,3) = data(:,wx(3))./mean(data(:,wx(3)));  % define raw X[obs, ser] for 1998
% x1(:,4) = data(:,wx(4))./mean(data(:,wx(4)));  % define raw X[obs, ser] for 2003

% A kernel density smoothing parameter option for Zrel...

% STATA 
% Rutinas: "bandw"
% =========================================================================
% Silverman's Gaussian kernel bandwidth =      0.0841     0.0938     0.0944     0.0960 (1)
% Haerdle's 'better' Gaussian kernel bndwdth = 0.0991     0.1105     0.1112     0.1131 (1)
% Scott's Gaussian kernel ovrsmthd bndwdth =   0.1196     0.1321     0.1451     0.1353 (1)

% MATLAB 
% Rutinas: "Kernel_Rnd_CE.m", "Botev_Bivar_bw.m", "Sheather_bw.m"
% =========================================================================
% Bowman's bandwidth KDE =                     0.0982     0.1103     0.1100     0.1113 (2)
% Botev's bandwidth KDE =                      0.0674     0.1129     0.1072     0.1122 (3)
% Sheather and Jones bandwidth selection =     0.0694     0.1020     0.0994     0.1076 (4)


% Selected to work: Silverman ...
               
  h88 = 0.0841;  
  h93 = 0.0938; 
  h98 = 0.0944;
  h03 = 0.0960;

  disp(sprintf('Work Variable :  %s,',wrkv));
  disp('      Running :   "Kernel_Fxd_CE3D.m"');
  disp('============================================');
  fprintf(1,' --- Gaussian Kernel Densities --- \n');
  fprintf(1,' -------- RCP_CE499F.mat --------- \n')
  disp('--------------------------------------------'); 
  
  title('Gaussian Kernel Densities, h = h(Silverman)')
  
  hold on
    xlabel(wrkv)
    ylabel('f(x)')
  
  [fa,xa,ua] = ksdensity(x1(:,1),'width',h88); fprintf(1,'     yr 1988:  h = %8.4f \n',ua);
  xa(2,:) = 1988;
  plot(xa(1,:),fa,':r');
  [fb,xb,ub] = ksdensity(x1(:,2),'width',h93); fprintf(1,'     yr 1993:  h = %8.4f \n',ub);
  xb(2,:) = 1993;
  plot(xb(1,:),fb,'-b');
  [fc,xc,uc] = ksdensity(x1(:,3),'width',h98); fprintf(1,'     yr 1998:  h = %8.4f \n',uc);
  xc(2,:) = 1998;
  plot(xc(1,:),fc,'-g');
  [fd,xd,ud] = ksdensity(x1(:,4),'width',h03); fprintf(1,'     yr 2003:  h = %8.4f \n',ud);
  xd(2,:) = 2003;
  plot(xd(1,:),fd,'-k');
 
  legend('1988','1993','1998','2003')
 
  disp('============================================');
  
  hold off
  
  hold on
  
  figure('Position',[200 120 450 400]);
    plot3(xa(1,:),xa(2,:),fa,xb(1,:),xb(2,:),fb,xc(1,:),xc(2,:),fc,xd(1,:),xd(2,:),fd);
  % plot3(xa(2,:),xa(1,:),fa,xb(2,:),xb(1,:),fb,xc(2,:),xc(1,:),fc,xd(2,:),xd(1,:),fd);
  grid on;
  % axis square;
  
  hold off
