%----------------------------------------------------
 
clear all;       % removes all variables, globals, functions and MEX links
close all;       % deletes all figures whose handles are not hidden
clear functions; % removes all compiled M- and MEX-functions
clc;             % clears the command window and homes the cursor

% =========================================================================

  load Shocks_dB_RCP.mat
  
  disp('      Running :   "Kernel_Shocks_Fxd.m"');
  disp('============================================');
  fprintf(1,' --- Gaussian Kernel Densities --- \n');
  fprintf(1,'     --------  Shocks  ------- \n')
  disp('--------------------------------------------');
  
  title('Gaussian Kernel Densities, h = h(FXD)')

  
  hold on
    xlabel('ao')
    ylabel('f(x)')

%    Raw(-) 1/3:  h =   3.7923 1.89615
%    Raw(+) 1/3:  h =   3.3475 1.67375
%    Fil(-) 1/3:  h =   3.5636 1.78180
%    Fil(+) 1/3:  h =   3.1996 1.59980
    
    h = 1.89615;
    subplot(2,2,1)
    [f,x,u] = ksdensity(RawS30Neg,'width',h); fprintf(1,'    Raw(-) 1/3:  h = %8.4f \n',u);
    plot(x,f,'-r');
    legend('Raw(-) 1/3')
    h = 1.67375;
    subplot(2,2,2)
    [f,x,u] = ksdensity(RawS30Pos,'width',h); fprintf(1,'    Raw(+) 1/3:  h = %8.4f \n',u);
    plot(x,f,'-b');
    legend('Raw(+) 1/3')
   
    h = 1.78180;
    subplot(2,2,3)
    [f,x,u] = ksdensity(FilS30Neg,'width',h); fprintf(1,'    Fil(-) 1/3:  h = %8.4f \n',u);
    plot(x,f,'-r');
    legend('Fil(-) 1/3')
    h = 1.59980;
    subplot(2,2,4)
    [f,x,u] = ksdensity(FilS30Pos,'width',h); fprintf(1,'    Fil(+) 1/3:  h = %8.4f \n',u);
    plot(x,f,'-b');
    legend('Fil(+) 1/3')
  
  disp('============================================');
  
  hold off