%----------------------------------------------------
 
clear all;       % removes all variables, globals, functions and MEX links
close all;       % deletes all figures whose handles are not hidden
clear functions; % removes all compiled M- and MEX-functions
clc;             % clears the command window and homes the cursor

% =========================================================================

  load Shocks_dB_RCP.mat
  
  disp('      Running :   "Kernel_Shocks_Fxd.m"');
  disp('============================================');
  fprintf(1,' --- Gaussian Kernel Densities --- \n');
  fprintf(1,'     --------  Shocks  ------- \n')
  disp('--------------------------------------------');
  
  title('Gaussian Kernel Densities, h = h(FXD)')

  
  hold on
    xlabel('year')
    ylabel('f(x)')

%    Raw(-) 1/5:  h =   3.2338 1.61690
%    Raw(+) 1/5:  h =   3.2460 1.62300
%    Fil(-) 1/5:  h =   3.1617 1.58085
%    Fil(+) 1/5:  h =   3.2675 1.63375

     h = 1.61690;
     subplot(2,2,1)
     [f,x,u] = ksdensity(RawS20Neg,'width',h); fprintf(1,'    Raw(-) 1/5:  h = %8.4f \n',u);
     plot(x,f,'-r');
     legend('Raw(-) 1/5')
     h = 1.62300;
     subplot(2,2,2)
     [f,x,u] = ksdensity(RawS20Pos,'width',h); fprintf(1,'    Raw(+) 1/5:  h = %8.4f \n',u);
     plot(x,f,'-b');
     legend('Raw(+) 1/5')
  
     h = 1.58085;
     subplot(2,2,3)
     [f,x,u] = ksdensity(FilS20Neg,'width',h); fprintf(1,'    Fil(-) 1/5:  h = %8.4f \n',u);
     plot(x,f,'-r');
     legend('Fil(-) 1/5')
     h = 1.63375;
     subplot(2,2,4)
     [f,x,u] = ksdensity(FilS20Pos,'width',h); fprintf(1,'    Fil(+) 1/5:  h = %8.4f \n',u);
     plot(x,f,'-b');
     legend('Fil(+) 1/5')
 
  disp('============================================');
  
  hold off