% PURPOSE: Gaussian Kernel Densities - h:Fxd -
%          to examine modes for vector-variables
%----------------------------------------------------
% USAGE: ksdensity()
%----------------------------------------------------

clear all;       % removes all variables, globals, functions and MEX links
close all;       % deletes all figures whose handles are not hidden
clear functions; % removes all compiled M- and MEX-functions
clc;             % clears the command window and homes the cursor

% =========================================================================

     load RCP_CE499F_New.mat
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%    01-ID
%    02-EDO
%    03-EDO_NAME
%    04-Z88  08-XL88  12-XLREL88
%    05-Z93  09-XL93  13-XLREL93
%    06-Z98  10-XL98  14-XLREL98  16-XCOO_GDA <- Coordenadas del centroide 	
%    07-Z03  11-XL03  15-XLREL03  17-YCOO_GDA <- poligonal c/GeoDa
% =========================================================================
% === Para ejercicio con transformacines varias de : var = var(z) ===
% OJO: Queda escrita la rutina para no-relativizacin y relativizacin...

  % wx = [4,5,6,7];     wrkv = 'Z = VAC / PO';            % to work Z
  % wx = [8,9,10,11];   wrkv = 'XL = ln(Z)';              % to work XL
    wx = [12,13,14,15]; wrkv = 'XLrelF = {ln(Z)/mu[ln(Z)]}F'; % XLrel Filtered

% --- --- --- --- --- --- --- --- ---    
  
  x1(:,1) = data(:,wx(1));  % define raw X[obs, ser] for 1988
  x1(:,2) = data(:,wx(2));  % define raw X[obs, ser] for 1993
  x1(:,3) = data(:,wx(3));  % define raw X[obs, ser] for 1998
  x1(:,4) = data(:,wx(4));  % define raw X[obs, ser] for 2003
  
% x1(:,1) = data(:,wx(1))./mean(data(:,wx(1)));  % define raw X[obs, ser] for 1988
% x1(:,2) = data(:,wx(2))./mean(data(:,wx(2)));  % define raw X[obs, ser] for 1993
% x1(:,3) = data(:,wx(3))./mean(data(:,wx(3)));  % define raw X[obs, ser] for 1998
% x1(:,4) = data(:,wx(4))./mean(data(:,wx(4)));  % define raw X[obs, ser] for 2003

% A kernel density smoothing parameter option for Zrel...

% Bowman... oK para XLrelF

% h88 = 0.10365;   %  h88 = 0.0950
% h93 = 0.10365;   %  h93 = 0.1067
% h98 = 0.10365;   %  h98 = 0.1040
% h03 = 0.10365;   %  h03 = 0.1089

% Silverman... oK para XLrelF

% h88 = 0.088425;   %  h88 = 0.0810
% h93 = 0.088425;   %  h93 = 0.0906
% h98 = 0.088425;   %  h98 = 0.0893
% h03 = 0.088425;   %  h03 = 0.0928
                   
  h88 = 0.0810;
  h93 = 0.0906;
  h98 = 0.0893;
  h03 = 0.0928;
                   
                   
  fprintf(1,'\n')
  fprintf(1,'=== F I X E D   GKD   Rnd/Base=== \n')
  fprintf(1,'=== Gaussian Kernel Densities === \n')

  fprintf(1,' - XLrelF = {ln(Z)/mu[ln(Z)]}F -- \n')
  fprintf(1,' -------- RCP_CE499F.mat -------- \n')
  
  title('Gaussian Kernel Densities, h = h(Silverman)')
  
  hold on
    xlabel('XLrelF = [ln(Z)/mu[ln(Z)]]F')
    ylabel('f(x)')
  
  [f,x,u] = ksdensity(x1(:,1),'width',h88); fprintf(1,'h = %8.4f \n',u);
  plot(x,f,'-r');
  [f,x,u] = ksdensity(x1(:,2),'width',h93); fprintf(1,'h = %8.4f \n',u);
  plot(x,f,'-b');
  [f,x,u] = ksdensity(x1(:,3),'width',h98); fprintf(1,'h = %8.4f \n',u);
  plot(x,f,'-g');
  [f,x,u] = ksdensity(x1(:,4),'width',h03); fprintf(1,'h = %8.4f \n',u);
  plot(x,f,'-k');

  legend('yr(1988)','yr(1993)','yr(1998)','yr(2003)')

  hold off
 
% --- --- --- --- ---
